Subject: [Gen-art] Gen-ART Telechat review of draft-ietf-geopriv-held-measurements-07.txt

From: Suresh Krishnan <[email-masked]>
Date: Mon, 10 Jun 2013 15:15:36 -0400

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document:  draft-ietf-geopriv-held-measurements-07.txt
Reviewer: Suresh Krishnan
Review Date: 2013/06/10
IESG Telechat date: 2013/06/13

Summary: This draft is almost ready for publication as a Proposed
Standard, but I had a few minor comments as identified
in my last call review dated 2013/05/08. The authors had agreed to fix
the following issues but I have not seen an updated draft yet.

Minor
=====

* Section 5.2

- The Interface-Id option is the DHCPv6 equivalent of the circuit
identifier defined in RFC3046. Please add a reference to Section 22.18
of RFC3315 that describes this option.

- Is there any specific reason that the giaddr is being specified using
the IPv4-mapped IPv6 address format? From my reading giaddr is of type
bt:ipAddressType and it allows specification of both IPv4 and IPv6
addresses natively.

* Section 8.7 Page 53

I think there may be an off-by-one error here.

 <xs:maxInclusive value="268435456"/>

Shouldn't this be

 <xs:maxInclusive value="268435455"/>

so that the largest value will fit in 28 bits?

Thanks
Suresh

---

From: Jari Arkko <[email-masked]>
Date: Wed, 12 Jun 2013 00:44:57 -0500

Thank you very much for the review, Suresh. I followed your discussion with Martin, and the conclusions seem correct to me. But I don't think we should approve the draft until the -08 appears. Martin?

Jari

On Jun 10, 2013, at 2:15 PM, Suresh Krishnan <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Martin Thomson <[email-masked]>
Date: Wed, 12 Jun 2013 16:23:19 +0000

Correct.  There are a number of DISCUSS positions that will be resolved by -08.  I haven't read all the DISCUSS material yet, but I expect that there will need to be a few more edits to catch the rest of them.  I'll have to coordinate with Richard to determine when to ship -08.  I don't want to interfere with AD reviews.

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: Tuesday, 11 June, 2013 22:45
> To: Suresh Krishnan
> Cc: [email-masked]; General Area
> Review Team
> Subject: Re: [Gen-art] Gen-ART Telechat review of draft-ietf-geopriv-held-
> measurements-07.txt
> 
> Thank you very much for the review, Suresh. I followed your discussion with
> Martin, and the conclusions seem correct to me. But I don't think we should
> approve the draft until the -08 appears. Martin?
> 
> Jari
> 
> > Please wait for direction from your document shepherd or AD before
> > posting a new version of the draft.
> >
> > Standard, but I had a few minor comments as identified in my last call
> > review dated 2013/05/08. The authors had agreed to fix the following
> > issues but I have not seen an updated draft yet.
> >
> > Minor
> > =====
> >
> > * Section 5.2
> >
> > - Is there any specific reason that the giaddr is being specified
> > using the IPv4-mapped IPv6 address format? From my reading giaddr is
> > of type bt:ipAddressType and it allows specification of both IPv4 and
> > IPv6 addresses natively.
> >
> > * Section 8.7 Page 53
> >